AOZ Studio Beta - Bug #681

Locate statement fails on Floating Point parameters.
03/05/2021 05:52 PM - Brian Flanagan

Status: Closed Start date: 03/05/2021
Priority: Low Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B7)

Affected version: 1.0.0 (B5)

Description

Instead of failing, it should Round floating point parameters.
Example:

Cols = 80 : Rows = 25

Locate Int (Cols/2-5),Int (Rows/2) ' This works
// Locate Cols/2-5,Rows/2 ' This fails

Print "Test"

History

#1 - 03/19/2021 09:33 PM - Brian Flanagan
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B5)

Re-tested in 1.0.0 (B5). Still fails.

#2 - 03/31/2021 02:51 PM - Francois Lionet
- Status changed from New to Resolved

- Assignee set to Francois Lionet

Fixed
|

#3 - 04/01/2021 10:04 AM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version set to 1.0.0 (B7)

Works in B7!
